
Redmine - Defect #26010

can't create Thread

2017-05-22 05:04 - Jone Jone

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 3.2.6

Description

there is the issue's log，if log is not enough,please let me method to debug it,thank you

ThreadError (can't create Thread: Resource temporarily unavailable):

app/models/mailer.rb:458:in `deliver_mail'

config/initializers/10-patches.rb:154:in `deliver'

app/models/mailer.rb:98:in `block (2 levels) in deliver_issue_edit'

app/models/issue.rb:952:in `each_notification'

app/models/mailer.rb:97:in `block in deliver_issue_edit'

app/models/journal.rb:90:in `block in each_notification'

app/models/journal.rb:88:in `each'

app/models/journal.rb:88:in `each_notification'

app/models/mailer.rb:96:in `deliver_issue_edit'

app/models/journal.rb:302:in `send_notification'

app/models/journal.rb:67:in `save'

app/models/issue.rb:1681:in `create_journal'

app/models/issue.rb:182:in `create_or_update'

app/controllers/issues_controller.rb:499:in `block in save_issue_with_child_records'

app/controllers/issues_controller.rb:487:in `save_issue_with_child_records'

app/controllers/issues_controller.rb:185:in `update'

lib/redmine/sudo_mode.rb:63:in `sudo_mode'

Related issues:

Related to Redmine - Feature #26791: Send individual notification mails per m... Closed

History

#1 - 2017-05-22 07:02 - Toshi MARUYAMA

- Status changed from Resolved to Needs feedback

Please see submissions.

#2 - 2019-02-03 19:29 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

Based on the few log lines provided, the issue seems to be related to the old method of sending mails.

In Redmine 4.0, the delivery method was changed to async and the issue update is no longer affected by the email server response, please see 

#26791.

You can reopen the ticket if you still experience the issue on Redmine 4.

#3 - 2019-02-03 19:30 - Marius BĂLTEANU

- Related to Feature #26791: Send individual notification mails per mail recipient added
